%bcond_without check

%global goipath         github.com/bep/workers
Version:                1.1.0

%gometa

%global common_description %{expand:
Set up tasks to be executed in parallel.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Set up tasks to be executed in parallel

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(golang.org/x/sync/errgroup)

%if %{with check}
BuildRequires:  golang(github.com/frankban/quicktest)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
